/*
 * Copyright (C) 2000  Internet Software Consortium.
 * 
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
 * ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
 * CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 */

/* $Id: rename.h,v 1.8 2000/06/22 21:56:32 tale Exp $ */

#ifndef SEC_RENAME_H
#define SEC_RENAME_H 1

#ifdef DST_USE_PRIVATE_OPENSSL
#define BN_CTX_end dst__openssl_BN_CTX_end
#define BN_CTX_free dst__openssl_BN_CTX_free
#define BN_CTX_get dst__openssl_BN_CTX_get
#define BN_CTX_init dst__openssl_BN_CTX_init
#define BN_CTX_new dst__openssl_BN_CTX_new
#define BN_CTX_start dst__openssl_BN_CTX_start
#define BN_MONT_CTX_copy dst__openssl_BN_MONT_CTX_copy
#define BN_MONT_CTX_free dst__openssl_BN_MONT_CTX_free
#define BN_MONT_CTX_init dst__openssl_BN_MONT_CTX_init
#define BN_MONT_CTX_new dst__openssl_BN_MONT_CTX_new
#define BN_MONT_CTX_set dst__openssl_BN_MONT_CTX_set
#define BN_RECP_CTX_free dst__openssl_BN_RECP_CTX_free
#define BN_RECP_CTX_init dst__openssl_BN_RECP_CTX_init
#define BN_RECP_CTX_new dst__openssl_BN_RECP_CTX_new
#define BN_RECP_CTX_set dst__openssl_BN_RECP_CTX_set
#define BN_add dst__openssl_BN_add
#define BN_add_word dst__openssl_BN_add_word
#define BN_bin2bn dst__openssl_BN_bin2bn
#define BN_bn2bin dst__openssl_BN_bn2bin
#define BN_bn2hex dst__openssl_BN_bn2hex
#define BN_clear dst__openssl_BN_clear
#define BN_clear_bit dst__openssl_BN_clear_bit
#define BN_clear_free dst__openssl_BN_clear_free
#define BN_cmp dst__openssl_BN_cmp
#define BN_copy dst__openssl_BN_copy
#define BN_div dst__openssl_BN_div
#define BN_div_recp dst__openssl_BN_div_recp
#define BN_div_word dst__openssl_BN_div_word
#define BN_dup dst__openssl_BN_dup
#define BN_exp dst__openssl_BN_exp
#define BN_free dst__openssl_BN_free
#define BN_from_montgomery dst__openssl_BN_from_montgomery
#define BN_gcd dst__openssl_BN_gcd
#define BN_generate_prime dst__openssl_BN_generate_prime
#define BN_get_params dst__openssl_BN_get_params
#define BN_get_word dst__openssl_BN_get_word
#define BN_hex2bn dst__openssl_BN_hex2bn
#define BN_init dst__openssl_BN_init
#define BN_is_bit_set dst__openssl_BN_is_bit_set
#define BN_is_prime dst__openssl_BN_is_prime
#define BN_is_prime_fasttest dst__openssl_BN_is_prime_fasttest
#define BN_lshift dst__openssl_BN_lshift
#define BN_lshift1 dst__openssl_BN_lshift1
#define BN_mask_bits dst__openssl_BN_mask_bits
#define BN_mod dst__openssl_BN_mod
#define BN_mod_exp dst__openssl_BN_mod_exp
#define BN_mod_exp2_mont dst__openssl_BN_mod_exp2_mont
#define BN_mod_exp_mont dst__openssl_BN_mod_exp_mont
#define BN_mod_exp_recp dst__openssl_BN_mod_exp_recp
#define BN_mod_exp_simple dst__openssl_BN_mod_exp_simple
#define BN_mod_inverse dst__openssl_BN_mod_inverse
#define BN_mod_mul dst__openssl_BN_mod_mul
#define BN_mod_mul_montgomery dst__openssl_BN_mod_mul_montgomery
#define BN_mod_mul_reciprocal dst__openssl_BN_mod_mul_reciprocal
#define BN_mod_word dst__openssl_BN_mod_word
#define BN_mul dst__openssl_BN_mul
#define BN_mul_word dst__openssl_BN_mul_word
#define BN_new dst__openssl_BN_new
#define BN_num_bits dst__openssl_BN_num_bits
#define BN_num_bits_word dst__openssl_BN_num_bits_word
#define BN_options dst__openssl_BN_options
#define BN_pseudo_rand dst__openssl_BN_pseudo_rand
#define BN_rand dst__openssl_BN_rand
#define BN_reciprocal dst__openssl_BN_reciprocal
#define BN_rshift dst__openssl_BN_rshift
#define BN_rshift1 dst__openssl_BN_rshift1
#define BN_set_bit dst__openssl_BN_set_bit
#define BN_set_params dst__openssl_BN_set_params
#define BN_set_word dst__openssl_BN_set_word
#define BN_sqr dst__openssl_BN_sqr
#define BN_sub dst__openssl_BN_sub
#define BN_sub_word dst__openssl_BN_sub_word
#define BN_uadd dst__openssl_BN_uadd
#define BN_ucmp dst__openssl_BN_ucmp
#define BN_usub dst__openssl_BN_usub
#define BN_value_one dst__openssl_BN_value_one
#define BN_version dst__openssl_BN_version
#define BUF_MEM_free dst__openssl_BUF_MEM_free
#define BUF_MEM_grow dst__openssl_BUF_MEM_grow
#define BUF_MEM_new dst__openssl_BUF_MEM_new
#define BUF_strdup dst__openssl_BUF_strdup
#define CRYPTO_add_lock dst__openssl_CRYPTO_add_lock
#define CRYPTO_dbg_free dst__openssl_CRYPTO_dbg_free
#define CRYPTO_dbg_get_options dst__openssl_CRYPTO_dbg_get_options
#define CRYPTO_dbg_malloc dst__openssl_CRYPTO_dbg_malloc
#define CRYPTO_dbg_realloc dst__openssl_CRYPTO_dbg_realloc
#define CRYPTO_dbg_set_options dst__openssl_CRYPTO_dbg_set_options
#define CRYPTO_dup_ex_data dst__openssl_CRYPTO_dup_ex_data
#define CRYPTO_free dst__openssl_CRYPTO_free
#define CRYPTO_free_ex_data dst__openssl_CRYPTO_free_ex_data
#define CRYPTO_free_locked dst__openssl_CRYPTO_free_locked
#define CRYPTO_get_add_lock_callback dst__openssl_CRYPTO_get_add_lock_callback
#define CRYPTO_get_ex_data dst__openssl_CRYPTO_get_ex_data
#define CRYPTO_get_ex_new_index dst__openssl_CRYPTO_get_ex_new_index
#define CRYPTO_get_id_callback dst__openssl_CRYPTO_get_id_callback
#define CRYPTO_get_lock_name dst__openssl_CRYPTO_get_lock_name
#define CRYPTO_get_locked_mem_functions \
	dst__openssl_CRYPTO_get_locked_mem_functions
#define CRYPTO_get_locking_callback dst__openssl_CRYPTO_get_locking_callback
#define CRYPTO_get_mem_debug_functions \
	dst__openssl_CRYPTO_get_mem_debug_functions
#define CRYPTO_get_mem_debug_options dst__openssl_CRYPTO_get_mem_debug_options
#define CRYPTO_get_mem_functions dst__openssl_CRYPTO_get_mem_functions
#define CRYPTO_get_new_lockid dst__openssl_CRYPTO_get_new_lockid
#define CRYPTO_is_mem_check_on dst__openssl_CRYPTO_is_mem_check_on
#define CRYPTO_lock dst__openssl_CRYPTO_lock
#define CRYPTO_malloc dst__openssl_CRYPTO_malloc
#define CRYPTO_malloc_locked dst__openssl_CRYPTO_malloc_locked
#define CRYPTO_mem_ctrl dst__openssl_CRYPTO_mem_ctrl
#define CRYPTO_new_ex_data dst__openssl_CRYPTO_new_ex_data
#define CRYPTO_num_locks dst__openssl_CRYPTO_num_locks
#define CRYPTO_pop_info dst__openssl_CRYPTO_pop_info
#define CRYPTO_push_info_ dst__openssl_CRYPTO_push_info_
#define CRYPTO_realloc dst__openssl_CRYPTO_realloc
#define CRYPTO_remalloc dst__openssl_CRYPTO_remalloc
#define CRYPTO_remove_all_info dst__openssl_CRYPTO_remove_all_info
#define CRYPTO_set_add_lock_callback dst__openssl_CRYPTO_set_add_lock_callback
#define CRYPTO_set_ex_data dst__openssl_CRYPTO_set_ex_data
#define CRYPTO_set_id_callback dst__openssl_CRYPTO_set_id_callback
#define CRYPTO_set_locked_mem_functions \
	dst__openssl_CRYPTO_set_locked_mem_functions
#define CRYPTO_set_locking_callback dst__openssl_CRYPTO_set_locking_callback
#define CRYPTO_set_mem_debug_functions \
	dst__openssl_CRYPTO_set_mem_debug_functions
#define CRYPTO_set_mem_debug_options dst__openssl_CRYPTO_set_mem_debug_options
#define CRYPTO_set_mem_functions dst__openssl_CRYPTO_set_mem_functions
#define CRYPTO_thread_id dst__openssl_CRYPTO_thread_id
#define DH_OpenSSL dst__openssl_DH_OpenSSL
#define DH_compute_key dst__openssl_DH_compute_key
#define DH_free dst__openssl_DH_free
#define DH_generate_key dst__openssl_DH_generate_key
#define DH_generate_parameters dst__openssl_DH_generate_parameters
#define DH_get_default_method dst__openssl_DH_get_default_method
#define DH_get_ex_data dst__openssl_DH_get_ex_data
#define DH_get_ex_new_index dst__openssl_DH_get_ex_new_index
#define DH_new dst__openssl_DH_new
#define DH_new_method dst__openssl_DH_new_method
#define DH_set_default_method dst__openssl_DH_set_default_method
#define DH_set_ex_data dst__openssl_DH_set_ex_data
#define DH_set_method dst__openssl_DH_set_method
#define DH_size dst__openssl_DH_size
#define DSA_OpenSSL dst__openssl_DSA_OpenSSL
#define DSA_SIG_free dst__openssl_DSA_SIG_free
#define DSA_SIG_new dst__openssl_DSA_SIG_new
#define DSA_do_sign dst__openssl_DSA_do_sign
#define DSA_do_verify dst__openssl_DSA_do_verify
#define DSA_free dst__openssl_DSA_free
#define DSA_generate_key dst__openssl_DSA_generate_key
#define DSA_generate_parameters dst__openssl_DSA_generate_parameters
#define DSA_get_default_method dst__openssl_DSA_get_default_method
#define DSA_get_ex_data dst__openssl_DSA_get_ex_data
#define DSA_get_ex_new_index dst__openssl_DSA_get_ex_new_index
#define DSA_new dst__openssl_DSA_new
#define DSA_new_method dst__openssl_DSA_new_method
#define DSA_set_default_method dst__openssl_DSA_set_default_method
#define DSA_set_ex_data dst__openssl_DSA_set_ex_data
#define DSA_set_method dst__openssl_DSA_set_method
#define DSA_sign_setup dst__openssl_DSA_sign_setup
#define ERR_add_error_data dst__openssl_ERR_add_error_data
#define ERR_clear_error dst__openssl_ERR_clear_error
#define ERR_error_string dst__openssl_ERR_error_string
#define ERR_free_strings dst__openssl_ERR_free_strings
#define ERR_func_error_string dst__openssl_ERR_func_error_string
#define ERR_get_err_state_table dst__openssl_ERR_get_err_state_table
#define ERR_get_error dst__openssl_ERR_get_error
#define ERR_get_error_line dst__openssl_ERR_get_error_line
#define ERR_get_error_line_data dst__openssl_ERR_get_error_line_data
#define ERR_get_next_error_library dst__openssl_ERR_get_next_error_library
#define ERR_get_state dst__openssl_ERR_get_state
#define ERR_get_string_table dst__openssl_ERR_get_string_table
#define ERR_lib_error_string dst__openssl_ERR_lib_error_string
#define ERR_load_BN_strings dst__openssl_ERR_load_BN_strings
#define ERR_load_DH_strings dst__openssl_ERR_load_DH_strings
#define ERR_load_DSA_strings dst__openssl_ERR_load_DSA_strings
#define ERR_load_ERR_strings dst__openssl_ERR_load_ERR_strings
#define ERR_load_strings dst__openssl_ERR_load_strings
#define ERR_peek_error dst__openssl_ERR_peek_error
#define ERR_peek_error_line dst__openssl_ERR_peek_error_line
#define ERR_peek_error_line_data dst__openssl_ERR_peek_error_line_data
#define ERR_put_error dst__openssl_ERR_put_error
#define ERR_reason_error_string dst__openssl_ERR_reason_error_string
#define ERR_remove_state dst__openssl_ERR_remove_state
#define ERR_set_error_data dst__openssl_ERR_set_error_data
#define MD5_Final dst__openssl_MD5_Final
#define MD5_Init dst__openssl_MD5_Init
#define MD5_Transform dst__openssl_MD5_Transform
#define MD5_Update dst__openssl_MD5_Update
#define RAND_SSLeay dst__openssl_RAND_SSLeay
#define RAND_add dst__openssl_RAND_add
#define RAND_bytes dst__openssl_RAND_bytes
#define RAND_cleanup dst__openssl_RAND_cleanup
#define RAND_get_rand_method dst__openssl_RAND_get_rand_method
#define RAND_pseudo_bytes dst__openssl_RAND_pseudo_bytes
#define RAND_seed dst__openssl_RAND_seed
#define RAND_set_rand_method dst__openssl_RAND_set_rand_method
#define RAND_status dst__openssl_RAND_status
#define rand_ssleay_meth dst__openssl_rand_ssleay_meth
#define SHA1 dst__openssl_SHA1
#define SHA1_Final dst__openssl_SHA1_Final
#define SHA1_Init dst__openssl_SHA1_Init
#define SHA1_Transform dst__openssl_SHA1_Transform
#define SHA1_Update dst__openssl_SHA1_Update
#define bn_add_words dst__openssl_bn_add_words
#define bn_cmp_words dst__openssl_bn_cmp_words
#define bn_div_words dst__openssl_bn_div_words
#define bn_expand2 dst__openssl_bn_expand2
#define bn_mul_add_words dst__openssl_bn_mul_add_words
#define bn_mul_comba4 dst__openssl_bn_mul_comba4
#define bn_mul_comba8 dst__openssl_bn_mul_comba8
#define bn_mul_high dst__openssl_bn_mul_high
#define bn_mul_low_normal dst__openssl_bn_mul_low_normal
#define bn_mul_low_recursive dst__openssl_bn_mul_low_recursive
#define bn_mul_normal dst__openssl_bn_mul_normal
#define bn_mul_part_recursive dst__openssl_bn_mul_part_recursive
#define bn_mul_recursive dst__openssl_bn_mul_recursive
#define bn_mul_words dst__openssl_bn_mul_words
#define bn_sqr_comba4 dst__openssl_bn_sqr_comba4
#define bn_sqr_comba8 dst__openssl_bn_sqr_comba8
#define bn_sqr_normal dst__openssl_bn_sqr_normal
#define bn_sqr_recursive dst__openssl_bn_sqr_recursive
#define bn_sqr_words dst__openssl_bn_sqr_words
#define bn_sub_words dst__openssl_bn_sub_words
#define lh_delete dst__openssl_lh_delete
#define lh_doall dst__openssl_lh_doall
#define lh_doall_arg dst__openssl_lh_doall_arg
#define lh_free dst__openssl_lh_free
#define lh_insert dst__openssl_lh_insert
#define lh_new dst__openssl_lh_new
#define lh_retrieve dst__openssl_lh_retrieve
#define lh_strhash dst__openssl_lh_strhash
#define lh_num_items dst__openssl_lh_num_items
#define md5_block_host_order dst__openssl_md5_block_host_order
#define md5_block_data_order dst__openssl_md5_block_data_order
#define sha1_block_data_order dst__openssl_sha1_block_data_order
#define sha1_block_host_order dst__openssl_sha1_block_host_order
#define sk_CRYPTO_EX_DATA_FUNCS_delete \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_delete
#define sk_CRYPTO_EX_DATA_FUNCS_delete_ptr \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_delete_ptr
#define sk_CRYPTO_EX_DATA_FUNCS_dup \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_dup
#define sk_CRYPTO_EX_DATA_FUNCS_find \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_find
#define sk_CRYPTO_EX_DATA_FUNCS_free \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_free
#define sk_CRYPTO_EX_DATA_FUNCS_insert \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_insert
#define sk_CRYPTO_EX_DATA_FUNCS_new dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_new
#define sk_CRYPTO_EX_DATA_FUNCS_new_null \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_new_null
#define sk_CRYPTO_EX_DATA_FUNCS_num dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_num
#define sk_CRYPTO_EX_DATA_FUNCS_pop dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_pop
#define sk_CRYPTO_EX_DATA_FUNCS_pop_free \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_pop_free
#define sk_CRYPTO_EX_DATA_FUNCS_push dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_push
#define sk_CRYPTO_EX_DATA_FUNCS_set dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_set
#define sk_CRYPTO_EX_DATA_FUNCS_set_cmp_func \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_set_cmp_func
#define sk_CRYPTO_EX_DATA_FUNCS_shift \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_shift
#define sk_CRYPTO_EX_DATA_FUNCS_sort dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_sort
#define sk_CRYPTO_EX_DATA_FUNCS_unshift \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_unshift
#define sk_CRYPTO_EX_DATA_FUNCS_value \
	dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_value
#define sk_CRYPTO_EX_DATA_FUNCS_zero dst__openssl_sk_CRYPTO_EX_DATA_FUNCS_zero
#define sk_delete dst__openssl_sk_delete
#define sk_delete_ptr dst__openssl_sk_delete_ptr
#define sk_dup dst__openssl_sk_dup
#define sk_find dst__openssl_sk_find
#define sk_free dst__openssl_sk_free
#define sk_insert dst__openssl_sk_insert
#define sk_new dst__openssl_sk_new
#define sk_num dst__openssl_sk_num
#define sk_pop dst__openssl_sk_pop
#define sk_pop_free dst__openssl_sk_pop_free
#define sk_push dst__openssl_sk_push
#define sk_set dst__openssl_sk_set
#define sk_set_cmp_func dst__openssl_sk_set_cmp_func
#define sk_shift dst__openssl_sk_shift
#define sk_sort dst__openssl_sk_sort
#define sk_unshift dst__openssl_sk_unshift
#define sk_value dst__openssl_sk_value
#define sk_zero dst__openssl_sk_zero
#define DH_version dst__openssl_DH_version
#define DSA_version dst__openssl_DSA_version
#define lh_version dst__openssl_lh_version
#define RAND_version dst__openssl_RAND_version
#define RAND_event dst__RAND_event
#define MD5_version dst__openssl_MD5_version
#define SHA1_version dst__openssl_SHA1_version
#define STACK_version dst__openssl_STACK_version
#endif

#endif /* SEC_RENAME_H */
